**`Bacem GHALI`[NAME]** (32 years) -NL- Address: Arriyadh – Saudi Arabia -NL- Nationality: Tunisian -NL- Mobile: **`+966 582581879`[PHONES_PHONE]** -NL- Email: **`ghali.bacem@gmail.com`[EMAILS_EMAIL]** -NL- Born on 01/05/1985 -NL- Married -NL- Full stack java developer -NL- 8 years’ experience -NL- Studies and diploma -NL-  2009: **`Computer science engineer`[EDUCATION_COURSE]** degree -NL-  2006-2009: Computer science studies at **`National engineering school of Sfax-Tunisia`[EDUCATION_INSTITUTE]** -NL-  2004-2006: **`Mathematics and physics`[EDUCATION_COURSE]** **`Preparatory school `[EDUCATION_INSTITUTE]**-NL-  2004: Mathematics baccalaureate -NL- **`Trainings and certifications`[OTHERS_HEADING]** -NL-  Oracle certified java programmer (OCJP) -NL- www.semantis.fr -NL-  Agile training (18 hours) -NL-  PMI-ACP certified (PMI agile certified practitioner) -NL- **`Experience summary`[SUMMARY_HEADING]** -NL-  Good knowledge of software architecture, in particular SOA and microservices -NL-  Solid skills in software design, object oriented programming and UML -NL-  Strong knowledge of JEE technologies and frameworks including Spring, Spring boot, Spring MVC REST, -NL- Spring data jpa, Spring batch, JPA, Hibernate, JSF -NL-  Hands on web Frameworks including AngularJs 1.5, Angular 2, Bootstrap, Vaadin -NL-  Strong problem solving and troubleshooting skills -NL- **`Professional experience`[WORK_EXPERIENCE_HEADING]** -NL- January 2015- Today -NL- **`TVTC: Technical and vocational training corporation `[EMPLOYER_COMPANY_NAME]**– Saudi Arabia (Senior JAVA/ -NL- JEE developer) -NL- Project1: Preparation for the migration to a microservice architecture -NL-  Self-training on the new architecture: Concepts, tools and technologies, best practices, -NL- frameworks, exploring Netflix oss -NL- 1 -NL- Project2: Fitness club -NL- A web application to manage a fitness club: subscription requests, -NL- postponement requests, subscriptions search, subscription suspension, weight follow, health -NL- problems, weight report, subscriptions report, subscription card, settings, pagination, reporting. -NL- The system was developed in a microservices architecture style, and communicates with the HR -NL- legacy system through rest APIs. -NL- My responsibilities: -NL-  Project team leader -NL-  Analysis and requirements specification -NL-  Software design and architecture -NL-  Develop user interfaces and rest APIs -NL- Project3: Training platform -NL- A platform for managing training sessions for multiple customers. -NL- The platform offers services such as managing training programs, managing training sessions, -NL- subscription requests, request approval, authorities’ management, session evaluation, reports, -NL- invoices... -NL- My responsibilities: -NL-  Front-end and back-end development of features -NL- Technical environment: -NL- Microservices architecture, REST web services -NL- www.semantis.fr -NL- Spring, Spring boot, Spring security, Spring MVC REST, Spring data JPA, Spring cloud -NL- Jasper reports 6, Tibco jaspersoft studio -NL- Angularjs 1.5, Angular 2, Bootstrap -NL- Netflix OSS, Oracle database, Redis, Tomcat -NL- Jhipster, Maven, Git, Eclipse, npm -NL- Mai 2014 – October 2014 -NL- **`Tritux`[EMPLOYER_COMPANY_NAME]** Tunisia (**`Senior JAVA/JEE developer`[EMPLOYER_ROLE]**) -NL- Project1: ttserv -NL- (6 months) -NL- A set of SOAP web services configurable through web interfaces ensuring services for Tunisia -NL- telecom clients. -NL- My responsibilities: -NL-  Maintain existing services -NL-  Develop new features -NL- Technical environment: -NL- JAVA/JEE, JBOSS AS server, JBoss seam, Mysql -NL- Project2: Application for collection (10 months) -NL- Consultant at orange Tunisia company working with a team to develop and application for -NL- chasing past due receivables on customer account (called collection process). -NL- The application is developed based on Microservices architecture. -NL- My responsibilities: -NL-  Design and develop of a batch application using spring batch for the extraction of useful -NL- data from orange database to a new database. -NL-  Develop REST web services and user interfaces -NL- 2 -NL- Technical environment: -NL- JAVA/JEE, Vaadin -NL- Spring, Spring mvc, Spring JDBC, -NL- Mysql, Tomcat, Maven, SVN, Eclipse -NL- November 2013 – April 2014 **`Trusttic`[EMPLOYER_COMPANY_NAME]** (**`JAVA/JEE developer`[EMPLOYER_ROLE]**) -NL- Project 1: Performance monitoring module -NL- (6 months) -NL- A framework which allows to gather metrics about java application performance (minimal, -NL- average and maximum execution time, counters, fields evolution). Those metrics are then -NL- exposed in JMX or stored into files. -NL- My responsibilities: -NL-  Research about existing open source solutions and picking the most adequate one. -NL-  Implementation of the framework which uses ‘metrics-core’ API -NL-  Write unit tests -NL-  API integration in few products (digital signature servers, validation servers and signature -NL- clients). -NL- Technical environment: -NL- JAVA 6/JEE, Maven 3, Struts 2, Junit 4 -NL- Project 2: Command line clients for signature server’s administration -NL- The project consists in developing command-line clients all based on one framework for the -NL- www.semantis.fr -NL- administration of different types of signature servers. -NL- My responsibilities: -NL-  Development of a framework to be the base of developing the clients. -NL-  Development of each client based on the framework. -NL- Technical environment: -NL- JAVA, Maven, Junit, XML-RPC, Latex, Proguard -NL- Mai 2010-October 2013 **`SUNGARD`[EMPLOYER_COMPANY_NAME]** (**`JAVA/JEE developer`[EMPLOYER_ROLE]**) -NL- Project 1: Stream Fix -NL- (3 years 6 months) -NL- An ESB that ensures integration of different entities using different protocols and programming -NL- languages to communicate. The software warrants essentially the connectivity of FIX clients to -NL- **`SUNGARD`[EMPLOYER_COMPANY_NAME]** products, the enrichment and routing of orders, the routing of execution reports, -NL- message filtering and protocol conversion (FIX, V5, XML, JMS.). -NL- My responsibilities: -NL-  Writing of functional and technical requirements for the new solutions. -NL-  Development of requirements and enhancements. -NL-  Product support: inquiry of client issues, bug fixing, performance issues and code refactoring. -NL- Technical environment: -NL- Multithreading, Sockets, JAVA/JEE -NL- Spring 3, Spring integration -NL- JSF 2.0 (facelets + Mojorra + richfaces) -NL- 3 -NL- JMS, Quickfix (framework open source de trading) -NL- SAX, Quartz, Jetty server 6, ANT, Eclipse, Jenkins -NL- Project 2: VALDI-BUS -NL- This is the revolution of Stream Fix to an OSGI environment. -NL- My responsibilities: -NL-  Writing of functional and technical requirements for the new solutions -NL-  Development of requirements and enhancements -NL-  Product support: inquiry of client issues, bug fixing, performance issues and code -NL- refactoring. -NL- Technical environment: -NL- Multithreading, Sockets -NL- OSGI (equinox), JAVA/JEE -NL- Spring 3, spring integration, spring DM -NL- JSF2 (Mojorra+richfaces), Eclipse -NL- Maven 3 , groovy, Nexus -NL- Jenkins (integration continue), perforce -NL- Jetty 6 (servlet container) -NL- Project 3: GL Stream audit -NL- This is a solution for executing audits on stock market orders. -NL- My responsibilities: -NL-  Development of new features and bug fixing. -NL- www.semantis.fr -NL- Technical environment: -NL- Framework .Net 3.5, C# -NL- JAVA, web services (Xfire), Hibernate -NL- Spring, XML, XSLT, Apache tomcat 6, Oracle 10g -NL- October 2009- April 2010 -NL- **`Evatys`[EMPLOYER_COMPANY_NAME]** (**`R&D engineer`[EMPLOYER_ROLE]**) -NL- Project 1: consultant at Soft-maint Tunisia (Sodifrance group) -NL- (7 months) -NL- Migration of an information system that was developed with a legacy proprietary language -NL- (NSDK) toward a distributed web application based on JEE technologies. -NL- My responsibilities: -NL-  Implementation of new functionalities -NL-  Maintenance and bug fixing -NL- Technical environment: -NL- JAVA/J2EE, Spring, Oracle 10g, Flex3 -NL- Eclipse, Tomcat 6, SVN -NL- Project 2: Windows mobile application -NL- This application was developed for a computer hardware maintenance enterprise. It facilitates the -NL- task of stakeholders, allowing them to see their mission through their mobile and send mission -NL- reports. -NL- 4 -NL- My responsibilities: -NL-  Modeling and development of the mobile front end using Dot Net C# -NL-  Development of web services using WCF -NL-  Implementing custom graphical components -NL- Technical environment: -NL- Visual Studio 2008, C#, RESCO, Compact Framework 3.5, Sync services for ADO.net, WCF, -NL- SQL server 2008 -NL- February 2009- July 2009 -NL- **`TELNET`[EMPLOYER_COMPANY_NAME]** (end studies project) -NL- My responsibilities: -NL- Conception and development of a web 2.0 module to handle the configuration of an access -NL- control system. The application let the user enable and disable, add and remove components in -NL- addition to supervise the system status. -NL- Technical environment: -NL- JAVA, J2EE, Flex, Cairngorm, Oracle, Eclipse, Apache Tomcat -NL- January-February 2008 **`Ideryet services`[EMPLOYER_COMPANY_NAME]** (**`traineeship`[EMPLOYER_ROLE]**) -NL- My responsibilities : -NL- Conception and development of a business module to manage a café. The module interacts with -NL- a database to retrieve the products list. The user selects the desired products and places a buy -NL- www.semantis.fr -NL- order. Then a bill is automatically generated. -NL- Technical environment: -NL- Visual Studio 2005, vb.net, SQL server, Crystal Report -NL- **`Skills`[SKILLS_HEADING]** -NL- **`Languages`[OTHERS_HEADING]** -NL- JAVA, C# -NL- Web development -NL- JSP, Servlet, AngularJs, Angular 2, Vaadin, Bootstrap, Flex, HTML, Javascript , CSS -NL- Spring, Spring boot, Spring batch, Spring security, Spring mvc, Spring data JPA, JPA -NL- Frameworks / -NL- (Hibernate), JSF2 (richfaces, facelets), JUnit, Log4j, Quartz, Drools, OSGI (Equinox), jasper -NL- specifications -NL- reports -NL- Web servers -NL- Tomcat, Jetty, Jboss -NL- Tools -NL- Eclipse, Maven, Jenkins, jaspersoft studio, Tycho, Ant, SQL developer, Mantis, Git, npm -NL- DBMS -NL- Oracle, MySQL, MongoDB -NL- SCM -NL- Git, apache SVN, Perforce -NL- Languages -NL- Arabic, English and French: fluent -NL- **`Hobbies`[OTHERS_HEADING]** -NL- 5 -NL- Sport, Reading, Chess -NL- www.semantis.fr -NL- 6 -NL- 